Subject: Re: [PATCH net-next v5 1/4] printk: Add execution context (task name/CPU) to printk_info

From: Petr Mladek <[email-masked]>
Date: Fri, 30 Jan 2026 10:19:56 +0100

On Fri 2026-01-30 01:01:11, Breno Leitao wrote:
> On Wed, Jan 28, 2026 at 03:48:16PM +0106, John Ogness wrote:
> > On 2026-01-28, Breno Leitao <[email-masked]> wrote:
> > > Extend struct printk_info to include the task name, pid, and CPU
> > > number where printk messages originate. This information is captured
> > > at vprintk_store() time and propagated through printk_message to
> > > nbcon_write_context, making it available to nbcon console drivers.
> > >
> > > This is useful for consoles like netconsole that want to include
> > > execution context in their output, allowing correlation of messages
> > > with specific tasks and CPUs regardless of where the console driver
> > > actually runs.
> > >
> > > The feature is controlled by CONFIG_PRINTK_EXECUTION_CTX, which is
> > > automatically selected by CONFIG_NETCONSOLE_DYNAMIC. When disabled,
> > > the helper functions compile to no-ops with no overhead.
> > >
> > > Suggested-by: John Ogness <[email-masked]>
> > > Signed-off-by: Breno Leitao <[email-masked]>
> > > Signed-off-by: Petr Mladek <[email-masked]>
> > 
> > Reviewed-by: John Ogness <[email-masked]>
> 
> Thank you for the review. To confirm, it is acceptable to queue this for
> the next netdev version, isn't it?

Go on with it. At least I do not have anything against it. :-)

Best Regards,
Petr